resizableLabel {oce} | R Documentation

## Provide axis names in adjustable sizes

### Description

Provide axis names in adjustable sizes, e.g. using T instead of Temperature, and including units as appropriate. Used by e.g. `plot,ctd-method`.

### Usage

    resizableLabel(item, axis, sep, unit = NULL)

### Arguments

`item`

code for the label. This must be an element from the following list, or an abbreviation that uniquely identifies an element through its first letters: `"S"`, `"C"`, `"conductivity mS/cm"`, `"conductivity S/m"`, `"T"`, `"theta"`, `"sigmaTheta"`, `"conservative temperature"`, `"absolute salinity"`, `"nitrate"`, `"nitrite"`, `"oxygen"`, `"oxygen saturation"`, `"oxygen mL/L"`, `"oxygen umol/L"`, `"oxygen umol/kg"`, `"phosphate"`, `"silicate"`, `"tritium"`, `"spice"`, `"fluorescence"`, `"p"`, `"z"`, `"distance"`, `"distance km"`, `"along-track distance km"`, `"heading"`, `"pitch"`, `"roll"`, `"u"`, `"v"`, `"w"`, `"speed"`, `"direction"`, `"eastward"`, `"northward"`, `"depth"`, `"elevation"`, `"latitude"`, `"longitude"`, `"frequency cph"`, or `"spectral density m2/cph"`.

`axis` | a string indicating which axis to use; must be `x` or `y`.
`sep` | optional character string inserted between the unit and the parentheses or brackets that enclose it. If not provided, then `getOption("oceUnitSep")` is checked. If that exists, then it is used as the separator; if not, no separator is used.
`unit` | optional unit to use, if the default is not satisfactory. This might be the case if for example temperature was not measured in Celcius.

### Value

A character string or expression, in either a long or a shorter format, for use in the indicated axis at the present plot size. Whether the unit is enclosed in parentheses or square brackets is determined by the value of `getOption("oceUnitBracket")`, which may be `"["` or `"("`. Whether spaces are used between the unit and these deliminators is set by `psep` or `getOption("oceUnitSep")`.

### Author(s)

Dan Kelley

[Package oce version 0.9-22 Index]